#-----------------------------------------------------------------------------
#
# LIBNOISEConfig.cmake - LIBNOISE CMake configuration file for external projects.
#
# This file is configured by LIBNOISE and used by the UseLIBNOISE.cmake module
# to load LIBNOISE's settings for an external project.

# The LIBNOISE include file directories.
SET(LIBNOISE_INCLUDE_DIRS "/usr/include/libnoise")


# The LIBNOISE library directories.
SET(LIBNOISE_LIBRARY_DIRS "/usr/lib")

# The binary directory for LIBNOISE
SET(LIBNOISE_BINARY_DIR "/usr/lib")

# The C and C++ flags added by LIBNOISE to the cmake-configured flags.
SET(LIBNOISE_REQUIRED_C_FLAGS "")
SET(LIBNOISE_REQUIRED_CXX_FLAGS "")
SET(LIBNOISE_REQUIRED_LINK_FLAGS "")

# The LIBNOISE version number
SET(LIBNOISE_VERSION_MAJOR "1")
SET(LIBNOISE_VERSION_MINOR "1")
SET(LIBNOISE_VERSION_PATCH "1")

# The location of the UseLIBNOISE.cmake file.
SET(LIBNOISE_USE_FILE "${LIBNOISE_DIR}/UseLIBNOISE.cmake")

# The build settings file.
#SET(LIBNOISE_BUILD_SETTINGS_FILE "${LIBNOISE_DIR}/LIBNOISEBuildSettings.cmake")

# Whether LIBNOISE was built with shared libraries.
SET(LIBNOISE_BUILD_SHARED "ON")

# A list of all libraries for LIBNOISE.  Those listed here should
# automatically pull in their dependencies.

SET(LIBNOISE_LIBRARY noise)
SET(LIBNOISE_LIBRARY_DEBUG noised)
