#
# This file sets up include directories, link directories, and
# compiler settings for a project to use CUDPP.  It should not be
# included directly, but rather through the CUDPP_USE_FILE setting
# obtained from CUDPPConfig.cmake.
#

#IF(CUDPP_BUILD_SETTINGS_FILE)
 # INCLUDE(${CMAKE_ROOT}/Modules/CMakeImportBuildSettings.cmake)
#  CMAKE_IMPORT_BUILD_SETTINGS(${CUDPP_BUILD_SETTINGS_FILE})
#ENDIF(CUDPP_BUILD_SETTINGS_FILE)

# Add compiler flags needed to use CUDPP.
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CUDPP_REQUIRED_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CUDPP_REQUIRED_CXX_FLAGS}")
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${CUDPP_REQUIRED_LINK_FLAGS}")
SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${CUDPP_REQUIRED_LINK_FLAGS}")
SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${CUDPP_REQUIRED_LINK_FLAGS}")

# Add include directories needed to use CUDPP.
INCLUDE_DIRECTORIES(BEFORE ${CUDPP_INCLUDE_DIRS})

# Add link directories needed to use CUDPP.
LINK_DIRECTORIES(${CUDPP_LIBRARY_DIRS})