/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkGraphicsInteropImportImageContainer.txx
	Version:		$Revision: 2774 $
	Date:			$Date: 2012-03-13 10:52:35 +0100 (Di, 13 Mrz 2012) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include "ritkGraphicsInteropImportImageContainer.h"

namespace ritk
{

//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::GraphicsInteropImportImageContainer()
{
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::~GraphicsInteropImportImageContainer()
{
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
void
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::PrintSelf(std::ostream& os, itk::Indent indent) const
{
	os << "GraphicsInteropImportImageContainer" << std::endl;
	Superclass::PrintSelf(os,indent);
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
void
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::SynchronizeDevice()
{
	Superclass::SynchronizeDevice();
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
void
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::SynchronizeHost()
{
	Superclass::SynchronizeHost();
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
void
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::DeepCopy(ImportImageContainerType *Container)
{
	Superclass::DeepCopy(Container);
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
void
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::DeepCopy(const ImportImageContainerType *Container)
{
	Superclass::DeepCopy(Container);
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
typename GraphicsInteropImportImageContainer<TElementIdentifier,TElement>::Element*
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::AllocateElements(ElementIdentifier size) const
{
	return Superclass::AllocateElements(size);
}


//----------------------------------------------------------------------------
template<typename TElementIdentifier, typename TElement>
void
GraphicsInteropImportImageContainer<TElementIdentifier,TElement>
::DeallocateManagedMemory()
{
	Superclass::DeallocateManagedMemory();
}

} // ritk